Show security group
GET
/api/v1/security-group/{id}
const url = 'https://console.cloudlogics.com/api/v1/security-group/8f14e45f-ceea-467a-9f2c-1b1d3a5e77c2';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://console.cloudlogics.com/api/v1/security-group/8f14e45f-ceea-467a-9f2c-1b1d3a5e77c2 \ --header 'Authorization: <Authorization>'Show details of a specific security group. The path segment may be either the SG’s UUID or its name (resolved within the caller’s project).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Security group UUID or name
Responses
Section titled “Responses”Security group details
Media typeapplication/json
object
key
additional properties
any
Examplegenerated
{}Invalid identifier
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Security group not found in project
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Internal server error
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}